%global commit 532d92321ca15945e58e23c158b5e091eb2fdf18
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global checkout 20150719git%{shortcommit}


Name:           xkb-switch
Version:        1.3.1
Release:        2.%{checkout}%{?dist}
Summary:        Switch your X keyboard layouts from the command line 

License:        GPLv3+
URL:            https://github.com/ierton/xkb-switch
Source0:        https://github.com/ierton/xkb-switch/archive/%{commit}/%{name}-%{commit}.tar.gz

# add man page
# pull request: https://github.com/ierton/xkb-switch/pull/7
Patch0:         xkb-switch.manpage.patch

BuildRequires:  cmake
BuildRequires:  libX11-devel

%description
xkb-switch is a C++ program that allows to query and change the XKB layout
state.


%prep
%setup -q -n %{name}-%{commit}
%patch0 -p1


%build
%cmake -DBUILD_XKBSWITCH_LIB:BOOL=OFF .
make %{?_smp_mflags}


%install
%make_install

install -p -D -m644 man/%{name}.1 %{buildroot}/%{_mandir}/man1/%{name}.1


%files
%license COPYING
%doc README.md
%{_mandir}/man1/%{name}.1.gz
%{_bindir}/xkb-switch



%changelog
* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-2.20150719git532d923
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Aug 01 2015 Till Hofmann <hofmann@kbsg.rwth-aachen.de> - 1.3.1-1.20150719git532d923
- Add man page
- Change version to the actual upstream version (found with xkb-switch -v)

* Sun Jul 19 2015 Till Hofmann <hofmann@kbsg.rwth-aachen.de> - 0-0.5.20150719git532d923
- Add libX11-devel build dependency

* Sat Jul 18 2015 Till Hofmann <hofmann@kbsg.rwth-aachen.de> - 0-0.4.20150719git532d923
- Update to commit 532d923 (fixed README permissions)

* Thu Jul 16 2015 Till Hofmann <hofmann@kbsg.rwth-aachen.de> - 0-0.3.20150715git8ab2a49
- Fix permissions of README.md

* Tue Jul 14 2015 Till Hofmann <hofmann@kbsg.rwth-aachen.de> - 0-0.2.20150715git8ab2a49
- Update to commit 8ab2a49 with fixed license

* Tue Jul 14 2015 Till Hofmann <hofmann@kbsg.rwth-aachen.de> - 0-0.1.20150714git97bf2c8
- Initial package
